<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::bfp1_helpers::bound_function_helper&lt; void, T1, T2, T3, T4 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>bfp1_helpers</b></li><li class="navelem"><a class="el" href="classdlib_1_1bfp1__helpers_1_1bound__function__helper_3_01void_00_01_t1_00_01_t2_00_01_t3_00_01_t4_01_4.html">bound_function_helper&lt; void, T1, T2, T3, T4 &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1bfp1__helpers_1_1bound__function__helper_3_01void_00_01_t1_00_01_t2_00_01_t3_00_01_t4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::bfp1_helpers::bound_function_helper&lt; void, T1, T2, T3, T4 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::bfp1_helpers::bound_function_helper&lt; void, T1, T2, T3, T4 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1bfp1__helpers_1_1bound__function__helper_3_01void_00_01_t1_00_01_t2_00_01_t3_00_01_t4_01_4.png" usemap="#dlib::bfp1_5Fhelpers::bound_5Ffunction_5Fhelper_3C_20void_2C_20T1_2C_20T2_2C_20T3_2C_20T4_20_3E_map" alt=""/>
  <map id="dlib::bfp1_5Fhelpers::bound_5Ffunction_5Fhelper_3C_20void_2C_20T1_2C_20T2_2C_20T3_2C_20T4_20_3E_map" name="dlib::bfp1_5Fhelpers::bound_5Ffunction_5Fhelper_3C_20void_2C_20T1_2C_20T2_2C_20T3_2C_20T4_20_3E_map">
<area href="classdlib_1_1bfp1__helpers_1_1bound__function__helper__base.html" alt="dlib::bfp1_helpers::bound_function_helper_base&lt; T1, T2, T3, T4 &gt;" shape="rect" coords="0,56,389,80"/>
<area href="classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base.html" alt="dlib::bfp1_helpers::bound_function_helper_base_base" shape="rect" coords="0,0,389,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeebfb41aec1f09a2a2df0384793f71f5"><td class="memItemLeft" align="right" valign="top"><a id="aeebfb41aec1f09a2a2df0384793f71f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>call</b> () const</td></tr>
<tr class="separator:aeebfb41aec1f09a2a2df0384793f71f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base.html">dlib::bfp1_helpers::bound_function_helper_base_base</a></td></tr>
<tr class="memitem:a642fc3d9798e41113598dbfacfd3c4fc inherit pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base"><td class="memItemLeft" align="right" valign="top"><a id="a642fc3d9798e41113598dbfacfd3c4fc"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_set</b> () const =0</td></tr>
<tr class="separator:a642fc3d9798e41113598dbfacfd3c4fc inherit pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a563152b929ebb0f1ec212796ed304156 inherit pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base"><td class="memItemLeft" align="right" valign="top"><a id="a563152b929ebb0f1ec212796ed304156"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>clone</b> (void *ptr) const =0</td></tr>
<tr class="separator:a563152b929ebb0f1ec212796ed304156 inherit pub_methods_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa6d4106e3762fbd6939ab31cefd1641f"><td class="memItemLeft" align="right" valign="top"><a id="aa6d4106e3762fbd6939ab31cefd1641f"></a>
void(*&#160;</td><td class="memItemRight" valign="bottom"><b>fp</b> )(T1, T2, T3, T4)</td></tr>
<tr class="separator:aa6d4106e3762fbd6939ab31cefd1641f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classdlib_1_1bfp1__helpers_1_1bound__function__helper__base.html">dlib::bfp1_helpers::bound_function_helper_base&lt; T1, T2, T3, T4 &gt;</a></td></tr>
<tr class="memitem:a610eb918b7b8e30a8f17ac78e06342ba inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memItemLeft" align="right" valign="top"><a id="a610eb918b7b8e30a8f17ac78e06342ba"></a>
<a class="el" href="structdlib_1_1bfp1__helpers_1_1strip.html">strip</a>&lt; T1 &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><b>arg1</b></td></tr>
<tr class="separator:a610eb918b7b8e30a8f17ac78e06342ba inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cde14e9a6f92090d581e50d12b72178 inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memItemLeft" align="right" valign="top"><a id="a9cde14e9a6f92090d581e50d12b72178"></a>
<a class="el" href="structdlib_1_1bfp1__helpers_1_1strip.html">strip</a>&lt; T2 &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><b>arg2</b></td></tr>
<tr class="separator:a9cde14e9a6f92090d581e50d12b72178 inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18b19905610a04153817bbefa8ebccc inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memItemLeft" align="right" valign="top"><a id="ad18b19905610a04153817bbefa8ebccc"></a>
<a class="el" href="structdlib_1_1bfp1__helpers_1_1strip.html">strip</a>&lt; T3 &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><b>arg3</b></td></tr>
<tr class="separator:ad18b19905610a04153817bbefa8ebccc inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62948fba0a045f3c31a2877d28a251e inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memItemLeft" align="right" valign="top"><a id="ac62948fba0a045f3c31a2877d28a251e"></a>
<a class="el" href="structdlib_1_1bfp1__helpers_1_1strip.html">strip</a>&lt; T4 &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><b>arg4</b></td></tr>
<tr class="separator:ac62948fba0a045f3c31a2877d28a251e inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bd30c30fa9175094a245501318188e1 inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memItemLeft" align="right" valign="top"><a id="a9bd30c30fa9175094a245501318188e1"></a>
<a class="el" href="classdlib_1_1member__function__pointer.html">member_function_pointer</a>&lt; T1, T2, T3, T4 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mfp</b></td></tr>
<tr class="separator:a9bd30c30fa9175094a245501318188e1 inherit pub_attribs_classdlib_1_1bfp1__helpers_1_1bound__function__helper__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="bound__function__pointer__kernel__1_8h_source.html">bound_function_pointer_kernel_1.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
